Skip to content
POST/{organizationId}/crm/departments/list

List departments

Returns a list of departments for the given organization

Required permissions:

  • department.read

Path Parameters

organizationIdstringrequired

Request Body required

Content-Type: application/json

limitintegeroptional

Default: 50

minimum: 0

maximum: 1000

offsetintegeroptional

Default: 0

minimum: 0

maximum: 9007199254740991

returnCountbooleanoptional

Default: false

minItems: 1

maxItems: 100

categorybooleanoptional
searchTermstringoptional

maxItems: 100

maxItems: 100

parentDepartmentIdstring | nulloptional
syncWithMandateIdstring | nulloptional

Authentication: X-API-Key

Request

POST/{organizationId}/crm/departments/list
curl --request POST 'https://cloud.campai.com/api/{organizationId}/crm/departments/list' \
  --header 'X-API-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "types": [
    "member"
  ]
}'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

countintegerrequired

minimum: 0

maximum: 9007199254740991

Response

200
{
  "count": 0,
  "departments": [
    {
      "_id": "000000000000000000000001",
      "name": "string",
      "syncWithMandate": "000000000000000000000001",
      "types": [
        "member"
      ],
      "member": {
        "stockReport": {
          "sportNumber": "string",
          "associationNumber": "string"
        }
      },
      "color": "",
      "category": true,
      "idPath": "string",
      "namePath": "string",
      "activeTypeCounters": {},
      "totalActiveContacts": 0
    }
  ]
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}